Subject: Re: [PATCH 1/4] submodule: amend extra line feed between callback struct and macro

From: Shourya Shukla <[email-masked]>
Date: Sat, 4 Jul 2020 20:51:04 +0530

On 03/07 04:37, Philip Oakley wrote:
> 
> Suggestion...
> 
> On 03/07/2020 15:57, Johannes Schindelin wrote:
> > Maybe a native reader can suggest something that flows a bit easier? I am
> > not a native English speaker, but I'd prefer something along those lines:
> >
> > 	Many `submodule--helper` subcommands follow the convention a
> s/convention a/convention that a/    feels nicer for me

I did not get this one. Are you asking to replace "convention" with "a"
only?

> > 	struct defines their callback data, and the declaration of said
> s/said/that/   maybe.  'said' is a bit too much like 'patent speak', but
> otherwise either word is OK.

Okay will do!

> > 	struct is followed immediately by a macro to use in static
> > 	initializers, without any separating empty line.
> >
> > 	Let's align the `init`, `status` and `sync` subcommands with that
> > 	convention.
> Nice summary.
> 
> Philip
> Native Yorkshire speaker, but not that 'literate' ;-)

This made me chuckle. Nice!